Menu

## Module
in package
implements SaveableInterface Uses Creator, Deletor, PropertyManager

Module.php : 21

An installed module in the system. Note that module metadata is stored in the composer.json for each module.

##### Tags

Entity
Table

  (name="modules")

### Interfaces, Classes and Traits

SaveableInterface
  Interface for createable models.

### Table of Contents

$createdAt : mixed
$library : mixed
$properties : mixed
$propertyClass : mixed
$propertyStorage : mixed
__construct() : mixed
  Construct a new module entry.
create() : CreateableInterface
  Creates and returns an entity instance and fills values.
delete() : mixed
  Deletes the entity.
getCreatedAt() : DateTime
  Returns the time this module was added to the system.
getLibrary() : string
  Returns the library of this module, in the form 'vendor/project-name', usable by the Composer package manager.
getProperty() : mixed
  Returns a property with its stored type.
loadProperties() : void
  Loads properties.
setProperty() : void
  Sets a property to a given value.
unsetProperty() : void
  Deletes a property.

### Properties

#### $createdAt

Module.php : 31
`private mixed $createdAt`

##### Tags

Column

  (type="datetime")

#### $library

Module.php : 28
`private mixed $library`

##### Tags

Id

  @Column(type="string", unique=true);

#### $properties

Module.php : 34
`private mixed $properties`

##### Tags

OneToMany

  (targetEntity="ModuleProperty", mappedBy="owner", cascade={"persist", "remove"})

#### $propertyClass

Module.php : 36
`private mixed $propertyClass = LotGDCoreModelsModuleProperty::class`

#### $propertyStorage

PropertyManager.php : 11
`private mixed $propertyStorage = null`

### Methods

#### __construct()

Module.php : 41

Construct a new module entry.

`public __construct(string $library) : mixed`

##### Parameters

$library : string

##### Return values

mixed —

#### create()

Creator.php : 25

Creates and returns an entity instance and fills values.

`public static create(array<string|int, mixed> $arguments) : CreateableInterface`

##### Parameters

$arguments : array<string|int, mixed>

  The values the instance should get

##### Tags

throws
  WrongTypeException|UnexpectedArrayKeyException
throws
  AttributeMissingException

##### Return values

CreateableInterface —

The created Entity

#### delete()

Deletor.php : 17

Deletes the entity.

`public delete(EntityManagerInterface $em) : mixed`

##### Parameters

$em : EntityManagerInterface

##### Return values

mixed —

#### getCreatedAt()

Module.php : 52

Returns the time this module was added to the system.

`public getCreatedAt() : DateTime`

##### Return values

DateTime —

#### getLibrary()

Module.php : 62

Returns the library of this module, in the form 'vendor/project-name', usable by the Composer package manager.

`public getLibrary() : string`

##### Return values

string —

#### getProperty()

PropertyManager.php : 33

Returns a property with its stored type.

`public getProperty(string $name[, mixed $default = null ]) : mixed`

##### Parameters

$name : string
$default : mixed = null

##### Return values

mixed —

#### loadProperties()

PropertyManager.php : 16

Loads properties.

`public loadProperties() : void`

##### Return values

void —

#### setProperty()

PropertyManager.php : 63

Sets a property to a given value.

`public setProperty(string $name, mixed $value) : void`

##### Parameters

$name : string
$value : mixed

##### Return values

void —

#### unsetProperty()

PropertyManager.php : 47

Deletes a property.

`public unsetProperty(string $name) : void`

##### Parameters

$name : string

##### Return values

void —

## Search results